cURL
curl --request GET \
--url https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/news/instances/{instanceId}/news \
--header 'x-r25-ac-api-key: <x-r25-ac-api-key>' \
--header 'x-r25-ac-api-secret: <x-r25-ac-api-secret>'import requests
url = "https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/news/instances/{instanceId}/news"
headers = {
"x-r25-ac-api-key": "<x-r25-ac-api-key>",
"x-r25-ac-api-secret": "<x-r25-ac-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-r25-ac-api-key': '<x-r25-ac-api-key>',
'x-r25-ac-api-secret': '<x-r25-ac-api-secret>'
}
};
fetch('https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/news/instances/{instanceId}/news', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 999999,
"currentPage": 1,
"list": [
{
"contentId": "<string>",
"projectId": "<string>",
"spaceId": "<string>",
"name": "<string>",
"values": {
"title": "<string>",
"body": {},
"thumbnail": {
"mediaId": "<string>",
"media": {
"name": "<string>",
"type": "image",
"mediaId": "<string>",
"projectId": "<string>",
"spaceId": "<string>",
"assets": [
{
"path": "media/00000000000000000000000.png",
"accessUrl": "<string>"
}
],
"accessUrl": "<string>",
"thumbnailAccessUrl": "<string>",
"meta": {
"ext": "png",
"mimetype": "image/png",
"asset": "AdobeAnimate_cjs_1_0_0"
},
"fileSize": 1234567,
"duration": 1234567,
"operations": [
{
"type": "trim",
"orientation": "top-left"
}
],
"thumbnailOperations": [
{
"type": "trim",
"orientation": "top-left"
}
],
"alias": "<string>",
"originalUrl": "<string>",
"status": "published",
"signed": true
}
},
"sponsors": [
{
"name": "<string>"
}
],
"seo": {
"isPreventCrawling": true,
"canonicalUrl": "<string>"
},
"isOutline": true,
"share": {
"x": {
"text": "<string>",
"users": [
"<string>"
],
"hashTags": [
"<string>"
],
"followButtonUsers": [
{
"userId": "<string>",
"name": "<string>"
}
]
}
},
"isRss": true
},
"createdAt": 123,
"updatedAt": 123,
"alias": "<string>",
"reservedAt": 123,
"closingAt": 123,
"openingAt": 123,
"category": {
"categoryId": "<string>",
"name": "<string>",
"alias": "<string>"
},
"tags": [
{
"tagId": "<string>",
"name": "<string>",
"alias": "<string>"
}
]
}
]
}エンドポイント
ニュース一覧取得
ニュースコンテンツを一覧取得
GET
/
static
/
projects
/
{projectId}
/
spaces
/
{spaceId}
/
news
/
instances
/
{instanceId}
/
news
cURL
Headers
コンソールで取得したAPIキーを指定してください。
コンソールで取得したAPIシークレットを指定してください。
Path Parameters
ご自身のプロジェクトIDを指定してください。
ご自身のスペースIDを指定してください。
ご自身のアプリケーションIDを指定してください。
Query Parameters
sizeで指定した数で何ページ目のリソースを取得するか指定できます。
Required range:
x >= 1最大何個のリソースを取得するか指定できます。
Required range:
1 <= x <= 99リソースの順番を指定できます。カンマ区切りで、複数の値を指定できます。複数指定の場合、指定した順にソートされます。 e.g. createdAt:desc,updatedAt:asc
コンテンツIDを複数指定して取得できます。カンマ区切りで、複数の値を指定できます。
カテゴリーIDまたはカテゴリーエイリアスを指定して取得できます。
タグIDまたはタグエイリアスを複数指定して取得できます。カンマ区切りで、複数の値を指定できます。
Minimum array length:
1trueを指定することで、RSS配信設定がONのコンテンツのみ取得できます。
全文検索を利用して取得できます。
Required string length:
1 - 100trueを指定することで、カテゴリー詳細情報も取得できます。
trueを指定することで、タグ詳細情報も取得できます。
⌘I